/**
 *  Copyright (C) 2009 Emerson Ribeiro de Mello, Carlos Eduardo Wagner,
 *  Natan Martins Jory
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Copyright (C) 2009 Emerson Ribeiro de Mello, Fernando Fernandes Simão
 *
 *  Este programa é software livre; você pode redistribuí-lo e/ou
 *  modificá-lo sob os termos da Licença Pública Geral GNU, conforme
 *  publicada pela Free Software Foundation; tanto a versão 2 da
 *  Licença como (a seu critério) qualquer versão mais nova.
 *
 *  Este programa é distribuído na expectativa de ser útil, mas SEM
 *  QUALQUER GARANTIA; sem mesmo a garantia implícita de
 *  COMERCIALIZAÇÃO ou de ADEQUAÇÃO A QUALQUER PROPÓSITO EM
 *  PARTICULAR. Consulte a Licença Pública Geral GNU para obter mais
 *  detalhes.
 *
 *  Você deve ter recebido uma cópia da Licença Pública Geral GNU
 *  junto com este programa; se não, escreva para a Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307, USA.
 */

package gui;

public class comoJogar extends javax.swing.JDialog {

    private Principal pai;

    public comoJogar(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        this.setLocationRelativeTo(parent);
        this.pai = (Principal) parent;
    }

    comoJogar() {
        initComponents();
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane7 = new javax.swing.JScrollPane();
        jTextArea7 = new javax.swing.JTextArea();
        jTabbedPane1 = new javax.swing.JTabbedPane();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTextArea2 = new javax.swing.JTextArea();
        jScrollPane4 = new javax.swing.JScrollPane();
        jTextArea4 = new javax.swing.JTextArea();
        jScrollPane6 = new javax.swing.JScrollPane();
        jTextArea6 = new javax.swing.JTextArea();
        jScrollPane8 = new javax.swing.JScrollPane();
        jTextArea8 = new javax.swing.JTextArea();
        jScrollPane9 = new javax.swing.JScrollPane();
        jTextArea9 = new javax.swing.JTextArea();
        jScrollPane5 = new javax.swing.JScrollPane();
        jTextArea5 = new javax.swing.JTextArea();
        jScrollPane3 = new javax.swing.JScrollPane();
        jTextArea3 = new javax.swing.JTextArea();

        jTextArea7.setColumns(20);
        jTextArea7.setRows(5);
        jScrollPane7.setViewportView(jTextArea7);

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Como Jogar");

        jTextArea1.setColumns(20);
        jTextArea1.setEditable(false);
        jTextArea1.setRows(5);
        jTextArea1.setText("O Jogo de Damas pratica-se entre dois parceiros, \nnum tabuleiro quadrado, de 64 casas alternadamente \nclaras e escuras, dispondo de 12 pedras brancas e 12 pretas.\nO tabuleiro coloca-se de forma que a casa escura do canto do \ntabuleiro fique à esquerda do jogador (diagrama abaixo).\n\nNo inicio da partida, as pedras devem ser colocadas no \ntabuleiro sobre as casas escuras, da seguinte forma: \nnas três primeiras filas horizontais, as pedras brancas; \ne, nas três últimas, as pedras pretas. (diagrama abaixo).\n\n\n\n\n");
        jTextArea1.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        jScrollPane1.setViewportView(jTextArea1);

        jTabbedPane1.addTab("O início", jScrollPane1);

        jTextArea2.setColumns(20);
        jTextArea2.setEditable(false);
        jTextArea2.setRows(5);
        jTextArea2.setText("A pedra movimenta-se para a frente, em diagonal, \nsobre as casas escuras, e uma casa de cada vez.\nA dama pode mover-se de determinada casa para qualquer outra, \nnão obstruída, situada na mesma diagonal. \nA diagonal está obstruída para a dama, \nquando nela houver uma ou mais peças da mesma cor, \nou duas ou mais peças adversárias, em casas contíguas.");
        jScrollPane2.setViewportView(jTextArea2);

        jTabbedPane1.addTab("O movimento", jScrollPane2);

        jTextArea4.setColumns(20);
        jTextArea4.setEditable(false);
        jTextArea4.setRows(5);
        jTextArea4.setText("A pedra que chegar à última travessa ( oitava fileira) será coroada dama.\nA coroação é assinalada colocando-se sobre a pedra coroada outra pedra da mesma cor.\nNão será coroada a pedra que, numa tomada, apenas passe pela travessa de coroação.");
        jScrollPane4.setViewportView(jTextArea4);

        jTabbedPane1.addTab("A coroação", jScrollPane4);

        jTextArea6.setColumns(20);
        jTextArea6.setEditable(false);
        jTextArea6.setRows(5);
        jTextArea6.setText("A tomada é obrigatória.\nA pedra toma tanto para frente quanto para trás.(Isto pode ser configurado na tela Novo Jogo do Damas Master conforme a sua preferência)\nA tomada denomina-se simples se toma apenas uma peça e em cadeia se captura mais de uma peça no mesmo lance.\nSe no mesmo lance existir mais de uma forma de tomar, é obrigatório obedecer à \"Lei da Maioria\", ou seja, fazer o lance que tome o maior número de peças (diagrama abaixo).\n\nNuma tomada em cadeia, \na peça pode passar mais de uma vez pela mesma casa vazia, \nmas é proibido tomar a mesma peça mais de uma vez (diagrama abaixo). \n\nA pedra e a dama têm o mesmo valor para tomar ou ser tomada (diagrama abaixo). \n\n");
        jScrollPane6.setViewportView(jTextArea6);

        jTabbedPane1.addTab("A tomada", jScrollPane6);

        jTextArea8.setColumns(20);
        jTextArea8.setEditable(false);
        jTextArea8.setRows(5);
        jTextArea8.setText("Ganha a partida o jogador que capturar todas as peças adversárias ou as deixar sem movimento possível.\nA partida é considerada ganha quando o adversário abandona ou se recusa a cumprir o regulamento.");
        jScrollPane8.setViewportView(jTextArea8);

        jTabbedPane1.addTab("A vitória", jScrollPane8);

        jTextArea9.setColumns(20);
        jTextArea9.setEditable(false);
        jTextArea9.setRows(5);
        jTextArea9.setText("1) Jogar, na sua vez, dois lances seguidos.\n2) Fazer movimento irregular de pedra ou dama.\n3) Tocar uma das suas próprias peças e jogar outra.\n4) Voltar a trás um lance executado.\n5) Jogar uma peça do adversário.\n6) Jogar uma peça quando é possível capturar.\n7) Retirar  do  tabuleiro, sem razão de ser, peças do adversário ou próprias.\n8) Tomar número de peças  inferior ou superior ao que a regra determina.\n9) Parar antes  do  término de uma tomada em cadeia ( peça largada ver Artigo 4.10 ).\n10) Retirar do tabuleiro, irregularmente, uma peça antes que termine a tomada.\n11) Retirar, depois  da captura, número inferior ao de peças tomadas.\n12) Retirar, depois da captura, peças que não foram tomadas.\n13) Paralisar a retirada das peças em uma tomada em cadeia.\n14) Retirar, depois da captura, uma ou mais das suas próprias peças.\n\n \n\t\n\n ");
        jScrollPane9.setViewportView(jTextArea9);

        jTabbedPane1.addTab("Irregularidades", jScrollPane9);

        jTextArea5.setColumns(20);
        jTextArea5.setEditable(false);
        jTextArea5.setRows(5);
        jTextArea5.setText("Fazendo Damas\n\nSe você puder deslocar qualquer peça até a borda oposta do tabuleiro (onde o adversário começou o jogo), essa peça torna-se uma dama. As damas podem se mover para trás e para frente. \nAs damas nada mais é que uma peça comum com imagem de uma coroa na pedra.\n");
        jScrollPane5.setViewportView(jTextArea5);

        jTabbedPane1.addTab("Transformando em damas", jScrollPane5);

        jTextArea3.setColumns(20);
        jTextArea3.setEditable(false);
        jTextArea3.setRows(5);
        jTextArea3.setText("Ocorrerá o empate se tiverem sido jogados 20 lances sucessivos só de damas sem que haja tomada ou movimento de pedra. ");
        jScrollPane3.setViewportView(jTextArea3);

        jTabbedPane1.addTab("O empate", jScrollPane3);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 512, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 391, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JScrollPane jScrollPane5;
    private javax.swing.JScrollPane jScrollPane6;
    private javax.swing.JScrollPane jScrollPane7;
    private javax.swing.JScrollPane jScrollPane8;
    private javax.swing.JScrollPane jScrollPane9;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JTextArea jTextArea1;
    private javax.swing.JTextArea jTextArea2;
    private javax.swing.JTextArea jTextArea3;
    private javax.swing.JTextArea jTextArea4;
    private javax.swing.JTextArea jTextArea5;
    private javax.swing.JTextArea jTextArea6;
    private javax.swing.JTextArea jTextArea7;
    private javax.swing.JTextArea jTextArea8;
    private javax.swing.JTextArea jTextArea9;
    // End of variables declaration//GEN-END:variables
}
